(defvar ediff-window-configuration nil
  "Window configuration to be restored after ediff session.")

(defun ediff-save-window-configuration ()
  "Save window configuration before ediff session."
  (setq ediff-window-configuration (current-window-configuration)))

(defun ediff-restore-window-configuration ()
  "Restore saved window configuration after ediff session."
  (set-window-configuration ediff-window-configuration))

(add-hook 'ediff-before-setup-hook 'ediff-save-window-configuration)
(add-hook 'ediff-quit-hook 'ediff-restore-window-configuration 'append)
